@echo off

if [%1]==[] goto err
if [%2]==[] goto err

echo @echo off                    >$tmp$.bat
echo trac -b -c -t -w %%1 %%2 %%3 >>$tmp$.bat
echo echo .                       >>$tmp$.bat

if [%3]==[-debug] goto debug
if [%4]==[-debug] goto debug
if [%5]==[-debug] goto debug

echo @echo off                    >$tmp$.bat
echo trac    -c       %%1 %%2 %%3 >>$tmp$.bat
echo echo .                       >>$tmp$.bat

:debug


call $tmp$       graz0.dic %1        $tmp$.$$1
call $tmp$       graz1.dic $tmp$.$$1 $tmp$.$$2
call $tmp$       graz2.dic $tmp$.$$2 $tmp$.$$3
call $tmp$       graz3.dic $tmp$.$$3 $tmp$.$$4
call $tmp$       graz4.dic $tmp$.$$4 $tmp$.$$5

if [%3]==[-1918] goto modern
if [%4]==[-1918] goto modern
if [%5]==[-1918] goto modern

del $tmp$.$$6 >nul
ren $tmp$.$$5 $tmp$.$$6
goto endmodern

:modern
call $tmp$       1918.dic $tmp$.$$5 $tmp$.$$6

:endmodern

if [%3]==[-nostress] goto nostress
if [%4]==[-nostress] goto nostress
if [%5]==[-nostress] goto nostress

del $tmp$.$$7 >nul
ren $tmp$.$$6 $tmp$.$$7
goto endnostress

:nostress
call $tmp$       de-udar.dic $tmp$.$$6 $tmp$.$$7

:endnostress

call $tmp$       graz5.dic $tmp$.$$7 %2

if [%3]==[-debug] goto fin
if [%4]==[-debug] goto fin
if [%5]==[-debug] goto fin

del $tmp$.* >nul

goto fin

:err
@echo off
echo --------------------------------------------------------------------------
echo :                                                                        :
echo : This is HIP-6A to PLAIN TEXT converter. Calling syntax:                :
echo :                                                                        :
echo :      graz INPUT_FILE OUTPUT_FILE [options]                             :
echo :                                                                        :
echo : Options:                                                               :
echo :                                                                        :
echo :      -1918          use modern (post-1918) alphabet, remove final yers :
echo :      -nostress      do not use stress marks                            :
echo :      -debug         debug mode (keep all temporary files)              :
echo :                                                                        :
echo : Requirements:                                                          :
echo :                                                                        :
echo :      Before running the converter, you have to install the program     :
echo :      TRAC.EXE in the current directory or in any directory listed in   :
echo :      the system parameter "PATH".                                      :
echo :                                                                        :
echo --------------------------------------------------------------------------

:fin
